getPreferences
GET
/v1/me/preferences
const url = 'https://testnet-rpc.necter.network/v1/me/preferences';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://testnet-rpc.necter.network/v1/me/preferences \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Preferences
Media typeapplication/json
object
watchlist
Array<string>
recent_searches
Array<string>
saved_addresses
Array<object>
object
address
Lowercase EVM address
string
label
string
earnings_goal
notifications
object
key
additional properties
boolean
display_name
string | null
Example
{ "earnings_goal": { "period": "day" }}